<?php
function __autoload($nombre){
	$nombre = strtolower($nombre);
	$archivo = dirname(__FILE__).'/class/class.'.$nombre.'.php';
	if(file_exists($archivo)) {
		include_once($archivo);
	}else{
		echo JSON::array2json(array('Error' => 'Error del servidor: 500.'));
		exit();
	}
}

function include_php($archivo){
	if(file_exists($archivo) && is_file($archivo)) {
		ob_start();
		include_once($archivo);
		return ob_get_clean();
	}
	return false;
}

function conectarDB(){
	// include_once(dirname(__FILE__).'/libs/adodb/adodb-exceptions.inc.php');
	include_once(dirname(__FILE__).'/libs/adodb/adodb.inc.php');
	$db = NewADOConnection(DB_DRIVER);
	$db->Connect(DB_SERVER, DB_USER, DB_PASS, DB_NAME);
	$db->query('SET character_set_database=UTF8');
	$db->query('SET character_set_client=UTF8');
	$db->query('SET character_set_connection=UTF8');
	$db->query('SET character_set_results=UTF8');
	$db->query('SET character_set_server=UTF8');
	$db->query('SET names UTF8');
	$db->query('SET names UTF8');
	$db->ADODB_LANG = 'es';
	$db->debug = DB_DEBUG;
	// Comentar las siguientes dos lineas para obtener ambas asociaciones
	// $ADODB_FETCH_MODE = ADODB_FETCH_NUM;
	$ADODB_FETCH_MODE = ADODB_FETCH_ASSOC;
	return $db;
}
?>